Skip to content

Gang​

Gangs are groups of users that can be used to organize users into teams or departments.


OpenAPI Spec​

GET
/v1/gangs/spec

Get OpenAPI 3.1.0 spec for Gang API

Responses​

Returns OpenAPI 3.1.0 spec for Gang API

application/json
JSON
{
}

Playground​

Samples​


List Gangs​

GET
/v1/gangs

List Gangs

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
name
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"order": 0,
"userIds": [
0
],
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new Gang​

POST
/v1/gangs

Create a new Gang

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
"name": "string",
"order": 0,
"userIds": [
0
],
"deactivatedAt": "string",
"externalId": null
}

Responses​

Gang found

application/json
JSON
{
"id": 0,
"name": "string",
"order": 0,
"userIds": [
0
],
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a Gang​

GET
/v1/gangs/{gangId}

Get a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangId*
Type
integer
Required
Format
"int32"

Responses​

Gang found

application/json
JSON
{
"id": 0,
"name": "string",
"order": 0,
"userIds": [
0
],
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Delete a Gang​

DELETE
/v1/gangs/{gangId}

Delete a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangId*
Type
integer
Required
Format
"int32"

Responses​

Successfully removed

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a Gang​

PATCH
/v1/gangs/{gangId}

Update a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangId*
Type
integer
Required
Format
"int32"

Request Body​

application/json
JSON
{
"name": "string",
"deactivatedAt": "string",
"order": 0,
"userIds": [
0
],
"externalId": "string"
}

Responses​

Gang found

application/json
JSON
{
"id": 0,
"name": "string",
"order": 0,
"userIds": [
0
],
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​